commit:     f1cae180105caee08f9320f73236efe25127b45f
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Aug 18 10:12:25 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 14:33:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1cae180

net-libs/libtelnet: do not install '.a' files

Closes: https://bugs.gentoo.org/725014
Package-Manager: Portage-3.0.3, Repoman-3.0.0
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/libtelnet/libtelnet-0.21.ebuild | 29 +++++++++++++----------------
 1 file changed, 13 insertions(+), 16 deletions(-)

diff --git a/net-libs/libtelnet/libtelnet-0.21.ebuild 
b/net-libs/libtelnet/libtelnet-0.21.ebuild
index a607c506fd6..758f7e176b2 100644
--- a/net-libs/libtelnet/libtelnet-0.21.ebuild
+++ b/net-libs/libtelnet/libtelnet-0.21.ebuild
@@ -1,28 +1,20 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
-inherit eutils autotools
+
+inherit autotools eutils
+
 DESCRIPTION="Simple RFC-complient TELNET implementation as a C library"
 HOMEPAGE="https://github.com/seanmiddleditch/libtelnet";
+SRC_URI="https://github.com/seanmiddleditch/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
 
-if [ ${PV} = 9999 ]; then
-       KEYWORDS=""
-       EGIT_REPO_URI="https://github.com/seanmiddleditch/${PN}.git";
-       inherit git-2
-       DEPEND="dev-vcs/git"
-       S="${WORKDIR}/${PN}-master"
-else
-       KEYWORDS="~amd64 ~x86"
-       SRC_URI="https://github.com/seanmiddleditch/${PN}/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
-fi
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
 
 WANT_AUTOMAKE=1.11
 DEPEND="${DEPEND} sys-devel/automake:${WANT_AUTOMAKE}"
-LICENSE="public-domain"
-SLOT="0"
-IUSE=""
-RDEPEND=""
 
 src_prepare() {
        _elibtoolize
@@ -31,3 +23,8 @@ src_prepare() {
        eautoheader
        eautomake
 }
+
+src_install() {
+       default
+       find "${D}" -type f -name '*.a' -delete || die
+}

Reply via email to